Subject: Re: bug#21333: 25.0.50; window-size-change-functions not called after mini-window resize

From: martin rudalics <[email-masked]>
Date: Thu, 27 Aug 2015 09:57:15 +0200

> OK, but if you want to stick to this example, please explain how is
 > mini-window resizing relevant to follow-mode, because I think it
 > isn't.  I think follow-mode should not care at all about this
 > automatic resizing.

`follow-mode' has to synchronize the ‘window-end’ of one window with the
‘window-start’ of another.  Since mini-window resizing can persistently
change the end position of the first of these windows, ‘follow-mode’
eventually has to react even if might dismiss the temporary effect that
the enlarged mini-window obscures the bottom of the first window.

OT1H we do care about point being visible when its window is partially
obscured by the mini-window and deliberately scroll the window in that
case.  OTOH we'd say that `follow-mode' should not care about keeping
its text coherent in that case.  Is that fair?

martin